> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ntropy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server.

# Quickly extract account holder, institution and first account

POST https://api.ntropy.com/v3/bank_statements/{id}/verify

Extracts account holder, bank and account information extracted from the first page of the bank statement, which is typically available before the full results. This is a synchronous call.

Complete guide: [Fast verification](../../../fast-verification)

Reference: https://docs.ntropy.com/documentation/api/bank-statements/get-bank-statement-statement-info-v-3-bank-statements-id-verify-post

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful Response

- `institution` (string, optional, nullable)
- `start_date` (date, optional, nullable)
- `end_date` (date, optional, nullable)
- `account_holder` (AccountHolder, optional, nullable)
- `accounts` (list of Account, optional, nullable)

## Errors

### 404 Not Found Error

Bank statement with the provided id not found.

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AccountHolder

- `type` (enum, optional, nullable)
  - Allowed values: `consumer`, `business`
- `name` (string, optional, nullable)
- `address` (Address, optional, nullable)

### Account

- `type` (string, optional, nullable)
- `number` (string, optional, nullable)
- `opening_balance` (double, optional, nullable)
- `closing_balance` (double, optional, nullable)
- `iso_currency_code` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### Address

- `street` (string, optional, nullable)
- `postcode` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (string, optional, nullable)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "institution": "Well's Fargo",
  "start_date": "2024-01-01",
  "end_date": "2024-02-01",
  "account_holder": {
    "type": "consumer",
    "name": "John Doe",
    "address": {
      "street": "601 Rosebud Avenue",
      "postcode": "77901",
      "city": "Victoria",
      "state": "Texas",
      "country": "United States"
    }
  },
  "accounts": [
    {
      "type": "checking",
      "number": "83721",
      "opening_balance": 1000,
      "closing_balance": 1500,
      "iso_currency_code": "USD"
    }
  ]
}
```

**SDK Code**

```python Python SDK
from ntropy_sdk import SDK

sdk = SDK("cd1H...Wmhl")
bs = sdk.bank_statements.verify("7f8dceac-2848-472d-b5c3-55cdbaf35a9b")
```

```javascript
const url = 'https://api.ntropy.com/v3/bank_statements/id/verify';
const options = {method: 'POST', headers: {'X-Api-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ntropy.com/v3/bank_statements/id/verify"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("X-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.ntropy.com/v3/bank_statements/id/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.ntropy.com/v3/bank_statements/id/verify")
  .header("X-Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.ntropy.com/v3/bank_statements/id/verify', [
  'headers' => [
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.ntropy.com/v3/bank_statements/id/verify");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Api-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/bank_statements/id/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```